Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7446)
@@ -13,12 +13,16 @@
 }
 
-label {
-  padding-top: 0px;
-}
-
 .breadcrumb {
   margin-left: 20px;
   margin-right: 20px;
   min-width: 940px;
+}
+
+.form-table {
+  width: 100%;
+}
+
+.fieldname {
+  width: 25%;
 }
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7446)
@@ -27,9 +27,7 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
-                  <span tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*</span>
+                <span i18n:translate="" tal:content="widget/label">label</span>:
               </td>
               <td>
@@ -66,5 +64,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="cc context/values">
+          <tr tal:repeat="cc context/values" class="gradeC">
              <td>
               <input type="checkbox"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7446)
@@ -7,9 +7,7 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
+      <td class="fieldname">
+        <span i18n:translate=""
                          tal:content="widget/label">label</span>:
-        </label>
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7446)
@@ -21,11 +21,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
+              <td class="fieldname">
                   <span tal:condition="widget/required">*
                   </span>
                   <span i18n:translate="" tal:content="widget/label">label
                   </span>:
-                </label> </td>
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7446)
@@ -16,6 +16,5 @@
     </thead>
     <tbody>
-      <tr tal:repeat="file view/getFiles"
-      tal:attributes="class python: repeat['file'].odd() and 'odd' or ''">
+      <tr tal:repeat="file view/getFiles">
         <td>
           <button type="submit" name="select" class="btn primary"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7446)
@@ -24,9 +24,7 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td>
-            <label tal:attributes="for widget/name">
-              <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7446)
@@ -27,11 +27,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
+              <td class="fieldname">
                   <span tal:condition="widget/required">*
                   </span>
                   <span i18n:translate="" tal:content="widget/label">label
                   </span>:
-                </label> </td>
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7446)
@@ -29,11 +29,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
-                  <span tal:condition="widget/required">*
-                  </span>
-                  <span i18n:translate="" tal:content="widget/label">label
-                  </span>:
-                </label> </td>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*
+                </span>
+                <span i18n:translate="" tal:content="widget/label">label
+                </span>:
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7446)
@@ -4,6 +4,6 @@
     <tbody>
       <tr>
-        <td>
-          <label>User Name or Student Id:</label>
+        <td class="fieldname">
+          User Name or Student Id:
         </td>
         <td>
@@ -12,6 +12,6 @@
       </tr>
       <tr>
-        <td>
-          <label>Password:</label>
+        <td class="fieldname">
+          Password:
         </td>
         <td>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7446)
@@ -24,9 +24,7 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td>
-            <label tal:attributes="for widget/name">
-              <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -44,5 +42,5 @@
       </tal:block>
       <tr>
-        <td><label>Password:</label></td>
+        <td class="fieldname">Password:</td>
         <td>
           <input name="password" type="password"  />
@@ -50,5 +48,5 @@
       </tr>
       <tr>
-        <td><label>Retype password:</label></td>
+        <td class="fieldname">Retype password:</td>
         <td>
           <input name="control_password" type="password" />
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7446)
@@ -41,5 +41,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, AddActionButton)
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action
 from waeup.sirp.interfaces import (
     ISIRPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
@@ -328,5 +328,5 @@
     pnav = 4
 
-    @grok.action('Create student record')
+    @action('Create student record', style='primary')
     def addStudent(self, **data):
         student = createObject(u'waeup.Student')
@@ -383,5 +383,5 @@
         return u'Send message to %s' % self.context.display_fullname
 
-    @grok.action('Send message now')
+    @action('Send message now', style='primary')
     def send(self, *args, **data):
         try:
@@ -442,5 +442,5 @@
             dict(name=x, title=y) for x, y in allowed_transitions]
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         form = self.request.form
@@ -576,5 +576,5 @@
         return super(StudentClearanceManageFormPage, self).update()
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -662,5 +662,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -732,5 +732,5 @@
         return 
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -744,5 +744,5 @@
             yield(dict(code=code, title=title))
 
-    @grok.action('Add study level')
+    @action('Add study level')
     def addStudyLevel(self, **data):
         level_code = self.request.form.get('addlevel', None)
@@ -921,10 +921,10 @@
         return 'Manage study level %s' % self.context.level_title
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
         return
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         self.redirect(self.url(self.context, '@@add'))
@@ -1022,5 +1022,5 @@
         return 'Study Level %s' % self.context.level_title
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         ticket = CourseTicket()
@@ -1046,5 +1046,5 @@
         return
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1095,5 +1095,5 @@
         return 'Manage course ticket %s' % self.context.code
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -1176,5 +1176,5 @@
         return
 
-    @grok.action('Add online payment ticket')
+    @action('Add online payment ticket')
     def addPaymentTicket(self, **data):
         self.redirect(self.url(self.context, '@@addop'))
@@ -1200,5 +1200,5 @@
     pnav = 4
     
-    @grok.action('Create ticket')
+    @action('Create ticket', style='primary')
     def createTicket(self, **data):
         p_category = data['p_category']
@@ -1735,5 +1735,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -1751,5 +1751,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         form = self.request.form
@@ -1898,5 +1898,5 @@
         return super(StudentClearanceEditFormPage, self).update()
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1911,5 +1911,5 @@
         return False
 
-    @grok.action('Save and request clearance')
+    @action('Save and request clearance', style='primary')
     def requestClearance(self, **data):
         self.applyData(self.context, **data)
@@ -2063,5 +2063,5 @@
         return
 
-    @grok.action('Create course list now')
+    @action('Create course list now', style='primary')
     def addStudyLevel(self, **data):
         studylevel = StudentStudyLevel()
@@ -2127,5 +2127,5 @@
         return total_credits
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         self.redirect(self.url(self.context, 'ctadd'))
@@ -2157,5 +2157,5 @@
         return
 
-    @grok.action('Register course list')
+    @action('Register course list', style='primary')
     def RegisterCourses(self, **data):
         IWorkflowInfo(self.context.getStudent()).fireTransition('register_courses')
@@ -2172,5 +2172,5 @@
         'grade', 'score', 'core_or_elective', 'automatic')
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         ticket = CourseTicket()
@@ -2211,5 +2211,5 @@
         return
 
-    @grok.action('Get login credentials')
+    @action('Get login credentials', style='primary')
     def request(self, **data):
         if not self.captcha_result.is_valid:
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7446)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data">
 
   <table class="display dataTableManage">
@@ -41,5 +41,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/selected_actions"
           tal:omit-tag="">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7446)
@@ -4,7 +4,7 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,23 +15,21 @@
   </div>
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Base Data</span></a></li>
-      <li><a href="#tab-2"><span>Passport Picture</span></a></li>
-    </ul>
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Base Data</span></a></li>
+    <li><a href="#tab-2"><span>Passport Picture</span></a></li>
+  </ul>
 
-    <div id="tab-1">
-      <table class="form-fields zebra">
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
         <tbody>
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label">
-                <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*</span>
+                <span i18n:translate="" tal:content="widget/label">label</span>:
               </td>
-              <td class="field">
-                <span class="widget" tal:content="structure widget">
+              <td>
+                <span tal:content="structure widget">
                   <input type="text" />
                 </span>
@@ -40,5 +38,5 @@
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">hint</span>
                 </tal:hint>
               </td>
@@ -46,5 +44,5 @@
           </tal:block>
           <tr>
-            <td class="label"><label>Password:</label></td>
+            <td class="fieldname">Password:</td>
             <td>
               <input name="password" type="password"  />
@@ -52,5 +50,5 @@
           </tr>
           <tr>
-            <td class="label"><label>Retype password:</label></td>
+            <td class="fieldname">Retype password:</td>
             <td>
               <input name="control_password" type="password" />
@@ -58,5 +56,5 @@
           </tr>
           <tr>
-            <td class="label"><label>Registration Transition:</label></td>
+            <td class="fieldname">Registration Transition:</td>
             <td>
               <select id="transition" name="transition">
@@ -72,5 +70,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render"
@@ -80,6 +78,5 @@
 
     <div id="tab-2">
-      <h2>Upload passport picture</h2>
-      <table class="form-fields zebra">
+      <table class="form-table">
         <tbody>
           <tal:files content="structure provider:files" />
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7446)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -26,6 +26,6 @@
   </tbody>
   <tfoot>
-    <tr class="controls">
-      <td colspan="2" class="align-right">
+    <tr>
+      <td>
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render" />
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/change_password.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7446)
@@ -4,13 +4,13 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <input type="hidden" name="student_id" value=""
          tal:attributes="value context/student_id" />
 
-  <table class="form-fields zebra">
+  <table class="form-table">
     <tbody>
       <tr>
-        <td class="label"><label>Password:</label></td>
+        <td class="fieldname">Password:</td>
         <td>
           <input name="change_password" type="password"  />
@@ -18,5 +18,5 @@
       </tr>
       <tr>
-        <td class="label"><label>Retype password:</label></td>
+        <td class="fieldname">Retype password:</td>
         <td>
           <input name="change_password_repeat" type="password" />
@@ -26,5 +26,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7446)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,16 +15,14 @@
   </div>
 
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
+          <td class="fieldname">
+              <span tal:condition="widget/required">*</span>
               <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -33,5 +31,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -51,5 +49,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7446)
@@ -4,7 +4,7 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,23 +15,20 @@
   </div>
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Clearance Data</span></a></li>
-      <li><a href="#tab-2"><span>Scans</span></a></li>
-    </ul>
-
-    <div id="tab-1">
-      <table class="form-fields zebra">
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Clearance Data</span></a></li>
+    <li><a href="#tab-2"><span>Scans</span></a></li>
+  </ul>
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
         <tbody>
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label">
-                <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*</span>
+              <td class="fieldname">
+                  <span tal:condition="widget/required">*</span>
                   <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
               </td>
-              <td class="field">
-                <span class="widget" tal:content="structure widget">
+              <td>
+                <span tal:content="structure widget">
                   <input type="text" />
                 </span>
@@ -40,5 +37,5 @@
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">hint</span>
                 </tal:hint>
               </td>
@@ -48,5 +45,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render"
@@ -56,6 +53,5 @@
 
     <div id="tab-2">
-      <h2>Upload scans</h2>
-      <table class="form-fields zebra">
+      <table class="form-table">
         <tbody>
           <tal:files content="structure provider:files" />
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7446)
@@ -4,5 +4,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input class="btn primary" type="submit" name="search" value="Search" />
   for students
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7446)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,6 +15,5 @@
   </div>
 
-
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tr>
@@ -68,12 +67,10 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
+          <td class="fieldname">
+              <span tal:condition="widget/required">*</span>
               <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -82,5 +79,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -89,5 +86,5 @@
     </tbody>
   </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7446)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tr>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/enterpin.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7446)
@@ -2,8 +2,8 @@
     tal:content="view/label">Label</h2>
 <form method="POST">
-  <table>
+  <table class="form-table">
     <tbody>
       <tr><td>
-        <label for="ac_series">Activation Code:</label>
+        Activation Code:
         </td><td>
         <span tal:replace="view/ac_prefix">PIN Prefix</span> -
@@ -18,7 +18,7 @@
       <tr>
         <td colspan="2">
-          <input type="submit" name="SUBMIT"
+          <input type="submit" name="SUBMIT" class="btn primary"
                  tal:attributes="value view/buttonname" />
-                 </td>
+        </td>
       </tr>
     </tbody>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filedisplay.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7446)
@@ -1,9 +1,7 @@
 <tr tal:condition = "viewlet/file_exists">
-  <td class="label">
-    <label i18n:translate="">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
       <a tal:attributes="href viewlet/download_name"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filesuploadpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filesuploadpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/filesuploadpage.pt	(revision 7446)
@@ -4,6 +4,6 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-  <table class="zebra">
+      enctype="multipart/form-data">
+  <table class="form-table">
     <tbody>
       <tal:files content="structure provider:files" />
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7446)
@@ -1,9 +1,7 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="" tal:attributes="for viewlet/input_name">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
 
@@ -17,13 +15,13 @@
       <br />
       <input type="file" tal:attributes="name viewlet/input_name"/>
-      <br />
+      <br /><br />
       <input type="submit" tal:condition="viewlet/file_exists"
              tal:attributes="id python:('delete_%s' % viewlet.input_name);
                 name python:('delete_%s' % viewlet.input_name)"
-             value="Delete attachment" class="btn" />
+             value="Delete attachment" class="btn error" />
       <input type="submit"
                tal:attributes="id python:('upload_%s' % viewlet.input_name);
                   name python:('upload_%s' % viewlet.input_name)"
-               value="Upload new file" class="btn" />
+               value="Upload new file" class="btn primary" />
       <span i18n:translate="">
         Max. file size:
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imagedisplay.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imagedisplay.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imagedisplay.pt	(revision 7446)
@@ -1,13 +1,9 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="">
+  <td class="fieldname">
         <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
   </td>
-  <td class="field">
-    <span class="widget">
+  <td>
       <img height="125px" tal:attributes="src viewlet/download_name" />
       <br />
-    </span>
   </td>
 </tr>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imageupload.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7446)
@@ -1,9 +1,7 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="" tal:attributes="for viewlet/input_name">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
       <img align="middle" height="125px"
@@ -12,11 +10,12 @@
        tal:attributes="id python:('delete_%s' % viewlet.input_name);
           name python:('delete_%s' % viewlet.input_name)"
-       value="Delete" class="button" />
+       value="Delete" class="btn error" />
       <br /><br />
       <input type="file" tal:attributes="name viewlet/input_name"/>
+      <br /><br />
       <input type="submit"
                tal:attributes="id python:('upload_%s' % viewlet.input_name);
                   name python:('upload_%s' % viewlet.input_name)"
-               value="Upload" class="button" />
+               value="Upload" class="btn primary" />
       <span i18n:translate="">
         Max. file size:
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7446)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data">
 
   <table class="display dataTableManage">
@@ -46,5 +46,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentspage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentspage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/paymentspage.pt	(revision 7446)
@@ -1,7 +1,4 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
-<thead>
-</thead>
 <table class="display dataTable">
   <thead>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/setpassword.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/setpassword.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/setpassword.pt	(revision 7446)
@@ -2,16 +2,20 @@
     tal:content="view/label">Label</h2>
 <form method="POST">
-  <table>
+  <table class="form-table">
     <tbody>
-      <tr><td>
-          <label for="reg_number">Registration Number:
-          </label></td> <td>
+      <tr>
+      <td>
+          Registration Number:
+      </td>
+      <td>
           <input name="reg_number" type="text" size="15" maxlength="15"
                  value="" tal:attributes="value view/reg_number"/>
-      </td></tr>
+      </td>
+      </tr>
       <tr>
         <td>
-          <label for="ac_series">Access Code:
-          </label></td> <td>
+          Access Code:
+        </td>
+        <td>
           <span tal:replace="view/ac_prefix">PIN Prefix
           </span> -
@@ -23,5 +27,5 @@
       <tr>
         <td colspan="2">
-        <input type="submit" name="SUBMIT"
+        <input type="submit" name="SUBMIT" class="btn primary"
                value="Show Student Id and set password" /> </td>
       </tr>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studentpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studentpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studentpage.pt	(revision 7446)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -17,5 +17,5 @@
   </tbody>
   <tfoot>
-    <tr class="controls">
+    <tr>
       <td colspan="2" class="align-right">
         <input tal:repeat="action view/actions"
@@ -24,5 +24,4 @@
     </tr>
   </tfoot>
-
 </table>
 
